Main Page Namespaces Book

# Pango::GlyphInfo Class Reference

List of all members.

## Detailed Description

A Pango::GlyphInfo represents a single glyph together with positioning information and visual attributes.

## Public Member Functions

GlyphVisAttr | get_attr () const
| Gets the visual attributes of the glyph.
GlyphGeometry | get_geometry () const
| Gets the positional information about the glyph.
Glyph | get_glyph () const
| Gets the glyph itself.
| GlyphInfo ()
const PangoGlyphInfo* | gobj () const
| Provides access to the underlying C GObject.
PangoGlyphInfo* | gobj ()
| Provides access to the underlying C GObject.

## Protected Attributes

PangoGlyphInfo | gobject_

## Related Functions

(Note that these are not member functions.)
const Pango::GlyphInfo& | wrap (const PangoGlyphInfo* object)
Pango::GlyphInfo& | wrap (PangoGlyphInfo* object)

## Constructor & Destructor Documentation

Pango::GlyphInfo::GlyphInfo | ( |  | ) |

## Member Function Documentation

GlyphVisAttr Pango::GlyphInfo::get_attr | ( |  | ) | const

Gets the visual attributes of the glyph.

Returns:
  A GlyphVisAttr structure.

GlyphGeometry Pango::GlyphInfo::get_geometry | ( |  | ) | const

Gets the positional information about the glyph.

Returns:
  A GylphGeometry object.

Glyph Pango::GlyphInfo::get_glyph | ( |  | ) | const

Gets the glyph itself.

Returns:
  The glyph.

const PangoGlyphInfo* Pango::GlyphInfo::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

References gobject_.

PangoGlyphInfo* Pango::GlyphInfo::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

References gobject_.

## Friends And Related Function Documentation

const Pango::GlyphInfo& wrap | ( | const PangoGlyphInfo * | object | ) | `[related]`

Pango::GlyphInfo& wrap | ( | PangoGlyphInfo * | object | ) | `[related]`

## Member Data Documentation

PangoGlyphInfo Pango::GlyphInfo::gobject_`[protected]`

Referenced by gobj().

The documentation for this class was generated from the following file:

- glyph.h